ZMQSocket::__construct
ZMQSocket::getEndpoints
ZMQSocket
PHP Manual

# ZMQSocket::disconnect

Disconnect a socket

### Description

public ZMQSocket ZMQSocket::connect ( string `$dsn` )

Disconnect the socket from a previously connected remote endpoint. The endpoint is defined in format transport://address where transport is one of the following: inproc, ipc, tcp, pgm or epgm.

### Parameters

`dsn`

  The connect dsn, for example transport://address.

### Return Values

Returns the current object. Throws ZMQSocketException on error.